[linux-audio-user] jack compiling problems with kernel 2.6

Alexander Klosch linux-lists at web.de
Fri Jan 23 10:44:14 EST 2004


On Fri, 23 Jan 2004 15:25:18 +0100
Florian Schmidt <mista.tapas at gmx.net> wrote:

> On Fri, 23 Jan 2004 15:05:37 +0100
> Alexander Klosch <linux-lists at web.de> wrote:
> 
> > > >    JACK will use System V shm API (shmget() and friends)
> > > > checking for snd_pcm_drop in -lasound... no
> > > > configure: WARNING: ALSA 0.9 support not found
> > > > checking for Pa_Initialize in -lportaudio... no
> > > > configure: error: No drivers can be built
> > > > 
> > > 
> > > what's the output of 
> > > 
> > > cat /proc/asound/version
> > 
> > Advanced Linux Sound Architecture Driver Version 0.9.7 (Thu Sep 25
> > 19:16:36 2003 UTC). Compiled on Apr 22 2004 for kernel
> > 2.6.1_rc1-benh1.
> > 
> > .. so it seems 0.9.7 is in the kernel. so should I install alsa-lib
> > & alsa-utils in the same version?
> 
> Usually that's a good idea but shouldn't be the cause for the
> configure failure.. I still wonder why the configure script doesn't
> find the alsa stuff though.. did you maybe install alsa-lib to
> /usr/local? Have a look at the config.log. It contains the error
> message which made the alsa test fail.. which jack version btw?

my alsa-lib 1.0.1 config log see here:
http://www.uni-weimar.de/~klosch/config.log

something strange in there for your eyes?

regards,
[alex]


More information about the linux-audio-user mailing list